{
  description = "polygon's computer mess";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    nixpkgs-stable.url = "nixpkgs/nixos-23.11";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = {
    self,
    nixpkgs,
    nixpkgs-stable,
    home-manager,
    ...
  } @ inputs: let
    pkgs = nixpkgs.legacyPackages."x86_64-linux";
    system = "x86_64-linux";
  in {
    
    nixosConfigurations = {
      
      twinkpad = nixpkgs.lib.nixosSystem {  
        specialArgs = {
          inherit inputs;
        };
        inherit system;
        modules = [
          ./hosts/twinkpad/configuration.nix
          home-manager.nixosModules.home-manager {
            home-manager.useGlobalPkgs = true;
            home-manager.useUserPackages = true;
            home-manager.users.polygon = import ./home-manager/desktop/home.nix;
          }
        ];
      };
    };
  };
}